Bug 485853 - Review Request: calendar - Reminder utility
Review Request: calendar - Reminder utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
http://www.openbsd.org:80/cgi-bin/cvs...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 21:48 EST by David Cantrell
Modified: 2014-06-27 15:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 16:02:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Cantrell 2009-02-16 21:48:38 EST
Spec URL: http://dcantrel.fedorapeople.org/calendar.spec
SRPM URL: http://dcantrel.fedorapeople.org/calendar-1.25-1.src.rpm
Description: The OpenBSD calendar command is a reminder utility.  Calendar reads
a mix of configuration files and standard calendar databases and then displays lines that begin with either today's date or tomorrow's.  The output of the command shows upcoming events for the week.
Comment 1 David Cantrell 2009-02-17 15:37:14 EST
Correction on SRPM URL:
http://dcantrel.fedorapeople.org/calendar-1.25-1.fc11.src.rpm
Comment 2 Warren Togami 2009-02-17 16:02:22 EST
calendar.src: W: strange-permission export-calendar-source.sh 0775

export-calendar-source.sh to verify the source goes boom.
Comment 3 Warren Togami 2009-02-17 16:20:12 EST
- RPM spec looks fine.
- export-calendar-source.sh fails for me, but manual comparison passes.
- My only concern is "calendar" might be too generic of a name.  Are you sure nothing else that could possibly be added to the distro has this name?  I approve this package if you ask fedora-devel-list for opinions and nobody objects within 24 hours of that posting.
Comment 5 David Cantrell 2009-02-17 18:53:37 EST
(In reply to comment #2)
> calendar.src: W: strange-permission export-calendar-source.sh 0775
> 
> export-calendar-source.sh to verify the source goes boom.

rpmlint seems to just dislike executable scripts in source RPM files.  I've changed this to 0644.
Comment 6 David Cantrell 2009-02-17 18:54:32 EST
(In reply to comment #3)
> - export-calendar-source.sh fails for me, but manual comparison passes.

I've changed export-calendar-source.sh to use 'cvs status' to get the revision number of calendar.c.  That seemed to be failing on your system, but working on mine,

> - My only concern is "calendar" might be too generic of a name.  Are you sure
> nothing else that could possibly be added to the distro has this name?  I
> approve this package if you ask fedora-devel-list for opinions and nobody
> objects within 24 hours of that posting.

I will send a message to fedora-devel-list asking for comments.
Comment 7 Warren Togami 2009-02-19 21:06:01 EST
APPROVED
Comment 8 David Cantrell 2009-02-19 21:11:55 EST
New Package CVS Request
=======================
Package Name: calendar
Short Description: Reminder utility
Owners: dcantrel
Branches: F-9 F-10 EL-4 EL-5
InitialCC:
Comment 9 Kevin Fenzi 2009-02-20 14:44:54 EST
cvs done.
Comment 10 David Cantrell 2014-06-27 10:56:46 EDT
Package Change Request
======================
Package Name: calendar
New Branches: epel7
Owners: dcantrel
InitialCC: 

Please create an EPEL-7 branch for calendar so I can make this package available to RHEL-7 users.
Comment 11 Gwyn Ciesla 2014-06-27 15:47:21 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.